@font-face {
    font-family: 'minecraft text';
    font-style: normal;
    font-weight: normal;
    src: local('minecraft text'),
        url('/content/fonts/minecraft.ttf') format('truetype');
}

/*root*/
:root {
    /* scale interface */
    --scale: 19px;
    --block: 71.578rem;
    --headpadding: 10rem;

    /* fonts */
    --text-lite: 0.632rem;
    /* 14px */
    --text: 0.947rem;
    /* 18px */
    --h3: 1.157rem;
    /* 22px */
    --h2: 1.684rem;
    /* 32px */
    --h1: 3.157rem;
    /* 60px */

    /* Nutral */
    --graphite: #191919;
    --light-gray: #363636;
    --sun-gray: #7A7A7A;
    --gray: #aeaeae;
    --white: #ffffff;
    --black: #000000;

    /* blue */
    --blue: #286FD8;
    --blue-middle: #1d59b5;
    --blue-dark: #144693;

    /* red */
    --red: #BA3232;
    --red-middle: #882020;
    --red-dark: #551212;
    /* green */
    --green: #1FA344;
    --green-middle: #167531;
    --green-dark: #0E431D;

    /* orange */
    --orange: #D06400;
    --orange-middle: #9E4C00;
    --orange-dark: #683200;
    /* yellow */
    --yellow: #E3A400;
    --yellow-middle: #A77800;
    --yellow-dark: #6D4F00;
}

*::selection {
    color: var(--black);
    background-color: var(--white);
}

/*presets*/
html {
    font-family: 'Montserrat', sans-serif;
    scrollbar-width: thin;
    padding: 0;
    width: 100%;
    height: 100%;
    font-size: var(--scale);
    color: var(--white);
}

body {
    padding: 0;
    width: 100%;
    height: 100%;
    overflow-y: none;
    text-decoration: none;
    background-color: var(--graphite);

}

svg,
path {
    fill: inherit;
}

* {
    outline: none;
    outline-offset: none;
    padding: 0;
    margin: 0;
    text-decoration: none;
    color: var(--white);
    overflow-x: none;
    text-decoration: none;
    -webkit-tap-highlight-color: transparent;
    scroll-behavior: smooth;
    font-family: 'Montserrat', sans-serif;
}

*:focus {
    outline: none;
    -ms-touch-action: manipulation;
    touch-action: manipulation;
    -webkit-tap-highlight-color: transparent;
}

*:hover {
    outline: none;
    -ms-touch-action: manipulation;
    touch-action: manipulation;
    -webkit-tap-highlight-color: transparent;
}

*:active {
    outline: none;
    -ms-touch-action: manipulation;
    touch-action: manipulation;
    -webkit-tap-highlight-color: transparent;
}

div {
    user-select: none;
}

text,
h1,
h2,
h3,
a,
p,
img {
    user-select: text;
}

/* scroll */
*::-webkit-scrollbar {
    width: 0.421rem;
    height: 0.421rem;
}

*::-webkit-scrollbar-track {
    border-radius: 0.421rem;
    margin-top: 0.316rem;
    margin-bottom: 0.316rem;
}

*::-webkit-scrollbar-thumb {
    height: 2.947rem;
    border-radius: 0;
    background-clip: content-box;
    background-color: rgb(255 255 255 / 33%);
}

*::-webkit-scrollbar-thumb:hover {
    background-color: rgb(255 255 255 / 66%);
}

*::-webkit-scrollbar-corner {
    background-color: var(--graphite);
    width: 0rem;
    height: 0rem;
}

/* mini scroll */
.mini-scroll::-webkit-scrollbar {
    width: 0.526rem;
    height: 0.526rem;
}

.mini-scroll::-webkit-scrollbar-track {
    border-radius: 0.421rem;
    margin-top: 0.316rem;
    margin-bottom: 0.316rem;
}

.mini-scroll::-webkit-scrollbar-thumb {
    height: 2.947rem;
    width: 2.947rem;
    border-radius: 0;
    border-left: 0.421rem solid rgb(0 0 0 / 0%);
    background-clip: content-box;
    background-color: rgb(255 255 255 / 33%);
}

.mini-scroll::-webkit-scrollbar-thumb:hover {
    background-color: rgb(255 255 255 / 66%);
}

.mini-scroll::-webkit-scrollbar-corner {
    background-color: var(--graphite);
    width: 0rem;
    height: 0rem;
}

/* texts */
.h1,
h1 {
    font-size: var(--h1);
    user-select: text;
    font-weight: 600;
    line-height: 120%;
}

.h2,
h2 {
    font-size: var(--h2);
    user-select: text;
    font-weight: 600;
    line-height: 130%;
}

.h3,
h3 {
    font-size: var(--h3);
    user-select: text;
    font-weight: 600;
    line-height: 160%;
}

.text,
text {
    font-size: var(--text);
    user-select: text;
    font-weight: 500;
    line-height: 180%;
}

.link,
.link:visited,
.text:visited {
    transition: 0.1s ease-in-out;
    color: var(--blue);
    user-select: text;
    cursor: pointer;
}

.link:hover,
.link:visited:hover {
    color: var(--blue-middle);
}

.link:active,
.link:visited:active {
    color: var(--blue-dark);
}

/* markers */
.marker-accent {
    color: var(--blue);
}

.marker-sec {
    color: var(--sun-gray);
}

.marker-sec {
    color: var(--sun-gray);
}

code,
.code {
    padding: 1.2632rem;
    border: 1px var(--gray);
    box-sizing: border-box;
}

/* header */
header {
    position: fixed;
    top: 0rem;
    width: 100%;
    z-index: 1000;
}

.header {
    display: flex;
    justify-content: space-between;
    width: var(--block);
    margin: auto;
    height: 3.684rem;
    margin-top: 0.842rem;
    padding: 0rem 1.263rem;
    border-radius: 0.842rem;
    backdrop-filter: blur(1.6842rem);
    -webkit-backdrop-filter: blur(1.6842rem);
    -moz-backdrop-filter: blur(1.6842rem);
}

.header-nav {
    display: flex;
    align-items: center;
    gap: 2.105rem;

}

.header-link {
    width: auto;
    height: 100%;
    display: flex;
    align-items: center;
    cursor: pointer;
    position: relative;
    justify-content: center;
    color: var(--white);
}

.header-link:hover {
    opacity: 0.7;
}

.header-link-active span,
.header-link-active:hover span,
.header-link-active:active span {
    display: block;
    width: 59%;
    position: absolute;
    height: 0.157rem;
    border-radius: 0.315rem;
    background-color: var(--white);
    top: 3.368rem;
}

.header-link span {
    animation: header 0.4s cubic-bezier(0, 0.05, 0, 1.62);
    width: 59%;
    animation-fill-mode: forwards;
}

@keyframes header {
    0% {
        width: 0.157rem;
    }

    100% {
        width: 59%;
    }
}

.logo {
    width: auto;
    height: 100%;
    display: flex;
    align-items: center;
    cursor: pointer;
    fill: var(--white);
}

.logo:hover {
    opacity: 0.7;
}

.logo svg {
    aspect-ratio: 1000 / 160;
    width: auto;
    height: 1.315rem;
}

.header-blur .header {
    transition: 0.23s ease-in-out;
    background-color: rgba(25, 25, 25, 0.611);
    backdrop-filter: blur(1.6842rem);
    -webkit-backdrop-filter: blur(1.6842rem);
    -moz-backdrop-filter: blur(1.6842rem);
}

#boxheader {
    transition: 0.5s;
}

.header-hidden {
    transition: 0.5s;
    top: -5.263rem;
}

.home-banner .button {
    font-size: 1.263rem;
    height: auto;
}

/* main */
main {
    width: 100%;
    height: auto;
}

/* footer */
footer {
    width: var(--block);
    margin: auto;
    margin-top: 7rem;
    padding-bottom: 2.105rem;
    display: flex;
    justify-content: space-between;
    height: 4.210rem;
}

footer .text {
    font-family: 'Montserrat';
    font-style: normal;
    font-weight: 500;
    font-size: 0.736rem;
    line-height: 0.894rem;
}

.footer-corp {
    display: flex;
    height: 100%;
    flex-direction: column;
    justify-content: space-between;
}

footer .footer-header {
    font-family: 'Montserrat';
    font-style: normal;
    font-weight: 500;
    font-size: 0.947rem;
    line-height: 1.157rem;
}

footer .payment-processing {
    text-align: right;
    line-height: 160%;
}

.footer-info {
    display: flex;
    flex-direction: column;
    height: 100%;
    justify-content: space-between;
}

.footer-politics {
    display: flex;
    gap: 2.105rem;
}

.footer-politics .link {
    color: var(--gray);
}

/*cookie*/
.block-cookie {
    width: 100%;
    height: auto;
    position: fixed;
    bottom: 1.578rem;
    pointer-events: none;
}

.cookie {
    display: flex;
    background: var(--graphite);
    box-sizing: border-box;
    border: solid 1px var(--light-gray);
    z-index: 100;
    width: max-content;
    height: auto;
    padding: 1.052rem;
    align-items: center;
    gap: 1.578rem;
    margin: auto;
    border-radius: 0.578rem;
    pointer-events: visible;
}

.cookie text {
    width: 24rem;
}

.btn-link,
.btn-drop {
    width: 0.842rem;
    height: 0.842rem;
    fill: var(--white);
    display: flex;
}

.block-support {
    margin-top: 8.4211rem;
    display: flex;
    flex-direction: column;
    margin-bottom: 8.4211rem;
}

.block-support h1 {
    margin-bottom: 2.105rem;
}

.sub-card-icon {
    aspect-ratio: 1 / 1;
    width: 1rem;
    height: 1rem;
}

/* modal-block */
.block-modal {
    top: -1px;
    width: 100%;
    height: 0%;
    position: fixed;
    display: none;
    overflow: auto;
    z-index: 1001;
    background-color: rgb(25 25 25 / 0%);
    align-items: center;
    justify-content: center;
}

.block-modal-active {
    animation: modal 0.3s forwards;
    transition: 0.3s;
    top: 0px;
    display: flex;
    width: 100%;
    height: 100%;
    background-color: rgb(25 25 25 / 95%);
}

@keyframes modal {
    0% {
        display: none;
        height: 0%;
        background-color: rgb(25 25 25 / 0%);
    }

    1% {
        display: flex;
        height: 0%;
        background-color: rgb(25 25 25 / 0%);
    }

    100% {
        display: flex;
        height: 100%;
        background-color: rgb(25 25 25 / 95%);
    }
}

.modal {
    display: none;
    flex-direction: column;
    gap: 1.052rem;
    width: 23.684rem;
    height: max-content;
    padding: 2.105rem;
    background-color: var(--graphite);
    border: solid 1px var(--light-gray);
    border-radius: 0.578rem;
}

.modal .h3 {
    width: 100%;
    text-align: center;
}

.modal-group-btn .button,
.modal-group-btn button {
    width: 100%;
}

.modal-group-btn .button-red {
    width: max-content;
}

.modal-active {
    display: flex;
}

.modal-group-btn {
    margin-top: 0.8421rem;
    display: flex;
    width: 100%;
    height: max-content;
    gap: 1.052rem;
}

.modal-em-top {
    margin-top: 0.8421rem;
}

.modal-em-bottom {
    margin-bottom: 0.8421rem;
}

/* theme switcher*/
.theme-switch {
    width: 2.631rem;
    height: 1.263rem;
    border-radius: 0.842rem;
    display: flex;
    align-items: center;
    box-sizing: border-box;
    padding: 0rem 0.210rem;
    cursor: pointer;
}

.theme-switch span {
    width: 0.736rem;
    height: 0.736rem;
    border-radius: 0.789rem;
    background-position: center center;
    background-size: cover;
}

.theme-switch:hover span {
    opacity: 0.7;
    transform: scale(1.1);
}

.mobile-nav {
    width: 100%;
    position: fixed;
    height: 5.263rem;
    bottom: 0rem;
    background-color: var(--graphite);
    display: none;
    z-index: 1000;
    border-top: solid 1px var(--light-gray);
    padding: 0rem 3%;
    box-sizing: border-box;
}

.btn-nav {
    width: 25%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    align-content: center;
    justify-content: center;
    color: var(--white);
}

.nav-icon {
    fill: var(--white);
    transition: 0.2s;
    width: 1.747rem;
    height: 1.747rem;
    margin-bottom: 0.894rem;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
}

.btn-nav text {
    font-weight: 500;
    font-size: 0.736rem;
    line-height: 100%;
}

.btn-nav-active .nav-icon {
    transition: 0.2s;
    animation: navicon 0.6s cubic-bezier(0.49, 2.05, 0.62, 0.71);
    animation-fill-mode: forwards;
    will-change: transform, scale;
}

.btn-menu .nav-icon {
    transition: 0.6s cubic-bezier(0.49, 2.05, 0.62, 0.71);
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}

.btn-menu .nav-icon>svg {
    position: absolute;
}

.btn-menu:active .nav-icon {
    transition: 0.3s cubic-bezier(0.4, 0.96, 0.54, 0.97);
    transform: scale(1.2);
}

.btn-menu .nav-icon>svg:nth-child(1) {
    transition: 0.3s cubic-bezier(0.4, 0.96, 0.54, 0.97);
    transform: rotate(0deg);
    opacity: 1;
}

.btn-menu-active .nav-icon>svg:nth-child(1) {
    transition: 0.3s cubic-bezier(0.4, 0.96, 0.54, 0.97);
    transform: rotate(90deg);
    opacity: 0;
}

.btn-menu .nav-icon>svg:nth-child(2) {
    transition: 0.3s cubic-bezier(0.4, 0.96, 0.54, 0.97);
    transform: rotate(-90deg);
    opacity: 0;
}

.btn-menu-active .nav-icon>svg:nth-child(2) {
    transition: 0.3s cubic-bezier(0.4, 0.96, 0.54, 0.97);
    transform: rotate(0deg);
    opacity: 1;
}

@keyframes navicon {
    0% {
        transform: scale(1);
    }

    40% {
        transform: scale(1.2);
    }

    100% {
        transform: scale(1.0);
    }
}


.block-mobile-nav {
    transition: 0.2s cubic-bezier(0, 0.59, 0.2, 1.04);
    width: 100%;
    position: fixed;
    bottom: 5.157rem;
    z-index: 800;
    height: 0rem;
    visibility: hidden;
    background-color: var(--graphite);
    opacity: 0;
    will-change: transform, opacity, visibility;
}


.box-mobile-nav h1 {
    margin-top: var(--headpadding);
}

.box-mobile-nav {
    width: var(--block);
    margin: 0 auto;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.list-mobile-nav {
    width: 100%;
    min-height: auto;
    max-height: 80%;
    gap: 1.052rem;
    overflow: auto;
    display: flex;
    flex-wrap: wrap;
    padding-bottom: 3.157rem;
}

.btn-nav-menu {
    box-sizing: border-box;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 1.052rem;
    border: solid 1px var(--light-gray);
    border-radius: 0.263rem;
    font-size: 1rem;
    width: 100%;
    cursor: pointer;
    color: var(--white);
    height: 4rem;
}

.btn-nav-menu-half {
    width: calc(50% - 0.526rem);
}

.btn-nav-menu:hover {
    opacity: 0.6;
}

.box-balance-pref {
    display: grid;
    grid-template-columns: 1fr auto 1fr;
    grid-template-rows: 1fr;
    justify-content: space-between;
}

#next-group {
    text-align: right;
}

.icon-cristaliki {
    width: 1rem;
    height: 1rem;
    background: url('/content/icons/cristal.svg');
    background-size: cover;
}

/* notes */

#notes {
    margin-top: 60px;
    position: fixed;
    top: 2rem;
    width: 100%;
    cursor: default;
    transition: height 0.45s ease-in-out;
    pointer-events: none;
    z-index: 100000000;
}

#notes .note-item {
    border-radius: 7px;
    max-height: 12em;
    opacity: 1;
    will-change: opacity, transform;
    transition: all 0.2s linear;
    backface-visibility: hidden;
    -moz-backface-visibility: hidden;
    -ms-backface-visibility: hidden;
    width: 31.5789rem;
    max-width: 42.1053rem;
    user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    -o-user-select: none;
    z-index: 2;
    pointer-events: auto;
    display: -webkit-box;
    display: -webkit-flex;
    display: -moz-flex;
    display: -ms-flex;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-line-pack: start;
    align-content: flex-start;
    -ms-flex-align: start;
    -moz-align-items: flex-start;
    align-items: flex-start;
    -ms-flex-line-pack: start;
    align-content: flex-start;
    font: inherit;
    line-height: 1.25em;
    color: white;
    margin: 0 auto 1em auto;
    transform: translateZ(0);
    -moz-transform: translateZ(0);
    -ms-transform: translateZ(0);
    padding: 0.75em 1em;
}



@media all and (max-width: 40em) {
    #notes .note-item {
        width: 75%;
        max-width: none;
    }
}

#notes .note-item[data-show=false] {
    pointer-events: none;
    opacity: 0 !important;
    max-height: 0 !important;
    margin-bottom: 0 !important;
}

#notes .note-item[data-type=info] {
    background-color: var(--blue);
    color: #fff;
}

#notes .note-item[data-type=warn] {
    background-color: var(--orange);
    color: #fff;
    animation: shake 0.9s cubic-bezier(0.36, 0.07, 0.19, 0.97) both;
}

#notes .note-item[data-type=error] {
    background-color: var(--red);
    color: #fff;
    animation: shake 0.54s cubic-bezier(0.36, 0.07, 0.19, 0.97) both;
}

#notes .note-item[data-type=success] {
    background-color: var(--green);
    color: #fff;
}

#notes .note-item .note-item-text {
    flex: auto;
    -moz-flex: auto;
    -ms-flex: auto;
    padding-right: 0.5em;
    max-width: calc(100% - 1.25em);
    max-width: -webkit-calc(100% - 1.25em);
    color: white;
}

#notes .note-item .note-item-btn {
    width: 1.25em;
    height: 1.25em;
    cursor: pointer;
    background: url('/content/icons/nav-menu-active.svg') no-repeat 0 0/contain;
    transition: opacity 0.2s;
    -webkit-transition: opacity 0.2s;
    border: solid 0px;
    outline: none;
    padding: 0;
}

#notes .note-item .note-item-btn:hover {
    opacity: 0.6;
}

@keyframes shake {

    10%,
    90% {
        transform: translate3d(-1px, 0, 0);
        -ms-transform: translate3d(-1px, 0, 0);
    }

    20%,
    80% {
        transform: translate3d(2px, 0 0);
        -ms-transform: translate3d(2px, 0, 0);
    }

    30%,
    50%,
    70% {
        transform: translate3d(-4px, 0, 0);
        -ms-transform: translate3d(-4px, 0, 0);
    }

    40%,
    60% {
        transform: translate3d(4px, 0, 0);
        -ms-transform: translate3d(4px, 0, 0);
    }
}

@-webkit-keyframes shake {

    10%,
    90% {
        -webkit-transform: translate3d(-1px, 0, 0);
    }

    20%,
    80% {
        -webkit-transform: translate3d(2px, 0, 0);
    }

    30%,
    50%,
    70% {
        -webkit-transform: translate3d(-4px, 0, 0);
    }

    40%,
    60% {
        -webkit-transform: translate3d(4px, 0, 0);
    }
}

.userlang {
    padding: 0.15rem 0rem;
    width: 2rem;
    font-size: 0.8421rem;
    border: 0px;
    display: flex;
    align-items: center;
    align-content: center;
}

.userlang select {
    background: rgb(255 0 0 / 0%);
    outline: unset;
    border: 0;
    font-size: 0.7211rem;
    width: 100%;
    text-align: center;
}

.userlang option {
    background: var(--graphite);
}

.userlang option:hover {
    background: var(--blue);
}

select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

.user-avatar {
    box-shadow: rgb(255 255 255 / 45%) 0 0 0 1px;
    image-rendering: pixelated;
    background-position: 14.4% 14.4%;
    background-size: 820%;
    overflow: hidden;
}

.user-avatar .user-avatar-up {
    image-rendering: pixelated;
    width: 100%;
    height: 100%;
    background-position: 71.5% 14.5%;
    background-size: 820%;
}

.header-link .user-avatar {
    border-radius: 0.1579rem;
    width: 1.6842rem;
    height: 1.6842rem;
}

.visually-hidden {
    position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    white-space: nowrap;
    border: 0;
}

/* button */
.button,
button {
    transition: 0.1s cubic-bezier(0.54, 3.11, 0.6, 0.47);
    user-select: none;
    font-size: 0.947rem;
    font-weight: 500;
    background: var(--blue);
    border: solid 0px var(--blue);
    color: #fff;
    border-radius: 0.263rem;
    box-sizing: border-box;
    padding: 0.684rem 1.315rem 0.684rem 1.315rem;
    cursor: pointer;
    display: flex;
    justify-content: center;
    text-align: center;
    align-items: center;
    width: max-content;
    height: 2.5263rem;
    line-height: 124%;
    fill: #fff;
}

.button:hover,
button:hover {
    background: var(--blue-middle);
    border: solid 0px var(--blue-middle);
    transform: scale(1.03);
}

.button:active,
button:active {
    background: var(--blue-dark);
    border: solid 0px var(--blue-dark);
    transform: scale(0.98);
}

.button-sec,
.button-sec:hover,
.button-sec:active {
    color: var(--blue-dark);
    fill: var(--blue-dark);
    background: var(--white);
    border: solid 0px var(--white);
}

.button-sec:hover {
    opacity: 0.7;
}

.button-sec:active {
    opacity: 0.6;
}

.button-green {
    background: var(--green);
    border: solid 0px var(--green);
}

.button-green:hover {
    background: var(--green-middle);
    border: solid 0px var(--green-middle);
}

.button-green:active {
    background: var(--green-dark);
    border: solid 0px var(--green-dark);
}

.button-red {
    background: var(--red);
    border: solid 0px var(--red);
}

.button-red:hover {
    background: var(--red-middle);
    border: solid 0px var(--red-middle);
}

.button-red:active {
    background: var(--red-dark);
    border: solid 0px var(--red-dark);
}

.button-disabled,
.button-disabled:hover,
.button-disabled:active,
button:disabled,
button:disabled:hover,
button:disabled:active {
    background: var(--light-gray);
    border: solid 0px var(--light-gray);
    color: #626262;
    opacity: 1;
    transform: scale(1);
    fill: #626262;
}

/* button icons */

.button-icon {
    padding: 0;
    min-width: 2.5263rem;
    max-width: 2.5263rem;
    align-items: center;

}

.button-icon svg {
    width: 1.0526rem;
    height: auto;
}


.select {
    position: relative;
    width: 100%;
}

.select__toggle {
    cursor: pointer;
    border-radius: 0.3684rem;
    padding: 0.684rem 1rem;
    line-height: 124%;
    height: 2.5263rem;
    border: solid 1px var(--light-gray);
    background-color: var(--graphite);
    color: var(--white);
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
    gap: 1.6842rem;
}

.select__toggle:hover {
    transition: .1s cubic-bezier(.54, 3.11, .6, .47);
    background-color: var(--blue);
    border: solid 1px var(--blue);
    transform: scale(1.01);
    color: var(--white);
}

.select__toggle:active {
    transition: .1s cubic-bezier(.54, 3.11, .6, .47);
    background-color: var(--blue-middle);
    border: solid 1px var(--blue-middle);
    transform: scale(.98) translateY(0.2105rem);
}

.select__toggle::after {
    transition: 0.13s cubic-bezier(0.32, 2.04, 0.73, 0.69);
    content: '';
    width: 0.75rem;
    height: 0.75rem;
    flex-shrink: 0;
    margin-left: 1rem;
    background-size: cover;
    background-image: url('/content/icons/drop.svg');
    transform: rotate(0deg);
}

.select__toggle:focus {
    outline: none;
}

.select_show .select__toggle::after {
    transform: rotate(180deg);
}

.select__dropdown {
    transition: .1s cubic-bezier(.54, 3.11, .6, .47);
    opacity: 0;
    visibility: hidden;
    border-radius: 0.3684rem;
    position: absolute;
    display: block;
    width: 100%;
    min-height: -webkit-max-content;
    min-height: -moz-max-content;
    min-height: max-content;
    max-height: 20rem;
    margin-top: 1.5789rem;
    background-color: var(--graphite);
    box-sizing: border-box;
    border: solid 1px var(--light-gray);
    transform: scale(.96);
    overflow: overlay;
    z-index: 12;
}

.select_show .select__dropdown {
    transition: .1s cubic-bezier(.54, 3.11, .6, .47);
    opacity: 1;
    visibility: visible;
    margin-top: 0.6316rem;
    transform: scale(1);
}

.select_show .select__backdrop {
    display: block;

}

.select__options {
    margin: 0;
    padding: 0;
    list-style: none;
}

.select__option {
    gap: 0.4211rem;
    display: inline-flex;
    align-items: center;
    width: 100%;
    padding: 0.684rem 0.736rem;
    cursor: pointer;
    background-color: var(--graphite);
    box-sizing: border-box;
}

.select__option_selected {
    background-color: var(--blue);
}


.select__option:hover {
    background-color: var(--blue);
}

.select__option_selected .icon-cristaliki,
.select__option:hover .icon-cristaliki {
    filter: grayscale(1) brightness(2.2);
}

.select__option:active {
    background-color: var(--blue-middle);
}



.box-checkbox {
    height: auto;
    display: grid;
    cursor: pointer;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
}

input[type=number] {
    -moz-appearance: textfield;
}

.checkbox {
    width: 0px;
    height: 0px;
}

.box-checkbox>input {
    z-index: -1;
    opacity: 0;
    position: relative;
    justify-self: center;
    align-self: center;
    width: 0px;
    height: 0px;
}

.box-checkbox>span {
    display: inline-flex;
    align-items: center;
    user-select: none;
}

.box-checkbox>span::before {
    transition: 0.2s;
    box-sizing: border-box;
    content: '';
    display: inline-block;
    width: 1.157rem;
    height: 1.157rem;
    flex-shrink: 0;
    flex-grow: 0;
    border: solid 1px var(--light-gray);
    border-radius: 0.263rem;
    background-repeat: no-repeat;
    background-position: center center;
    background-size: 0% 0%;
    background-image: url('/content/icons/dot-checkbox.svg');
}

.box-checkbox>input:not(:disabled):not(:checked)+span:hover::before {
    border: solid 1px var(--light-gray);
}

.box-checkbox>input:not(:disabled):not(:checked)+span:hover::before {
    transition: 0.2s;
    border: solid 1px var(--blue);
    background-size: 20% 20%;
    background-image: url('/content/icons/dot-checkbox.svg');
}

.box-checkbox>input:not(:disabled):not(:checked)+span:active::before {
    transition: 0.1s;
    border: solid 1px var(--blue);
    background-size: 35% 35%;
    background-image: url('/content/icons/dot-checkbox.svg');
}


.box-checkbox>input:checked+span:hover::before {
    transition: 0.1s;
    border: solid 1px var(--blue);
    background-color: var(--blue);
    background-size: 56% 56%;
    background-image: url('/content/icons/dot-checkbox.svg');
}

.box-checkbox>input:not(:disabled):active+span::before {
    border: solid 1px var(--light-gray);
}

.box-checkbox>input:focus:not(:checked)+span::before {
    border: solid 1px var(--light-gray);
}

.box-checkbox>input:checked+span::before {
    transition: 0.2s;
    border: solid 1px var(--blue-middle);
    background-color: var(--blue-middle);
    background-image: url('/content/icons/dot-checkbox.svg');
    background-size: 43% 43%;
}

.box-checkbox>input:checked+span:hover:before {
    transition: 0.1s;
    border: solid 1px var(--blue);
    background-color: var(--blue);
    background-image: url('/content/icons/dot-checkbox.svg');
    background-size: 49% 49%;
}

.block-checkbox .text {
    height: auto;
    display: grid;
    font-size: 0.842rem;
    margin-left: 1.052rem;
}

.block-checkbox text {
    align-self: center;
}

.box-input {
    transition: 0.2s;
    background: var(--light-gray);
    max-width: 100%;
    height: auto;
    box-sizing: border-box;
    border-radius: 0.263rem;
}

.box-input input {

    transition: 0.2s;
    box-sizing: border-box;
    width: 100%;
    background: var(--graphite);
    padding: 0.684rem 0.736rem 0.684rem 0.736rem;
    border: solid 1px var(--light-gray);
    border-radius: 0.263rem;
    display: block;
    font-size: 0.947rem;
    color: var(--white);
}

.box-input input:hover {
    transition: 0.2s;
    border: solid 1px var(--sun-gray);
}

.box-input input:focus {
    transition: 0.2s;
    border: solid 1px var(--sun-gray);
}

.box-input text {
    text-align: left;
    transition: 0.2s;
    display: none;
    font-size: 0.736rem;
    padding: 0.368rem 0.684rem;
}

.box-input text:empty {
    display: none;
}

.text-view {}

.input-error text {
    display: block;
}

.input-error {
    background: var(--red-dark);
}

.input-error input {
    border: solid 1px var(--red-dark);
}

.input-error input:hover {
    transition: 0.2s;
    border: solid 1px var(--red);
}

.input-error input:focus {
    transition: 0.2s;
    border: solid 1px var(--red);
}

.input-accept {
    transition: 0.2s;
    background: var(--green-dark);
}

.input-accept input {
    transition: 0.2s;
    border: solid 1px var(--green-dark);
}

.input-accept input:hover {
    transition: 0.2s;
    border: solid 1px var(--green);
}

.input-accept input:focus {
    transition: 0.2s;
    border: solid 1px var(--green);
}


/* autofill */
.box-input input:-webkit-autofill,
.box-input input:-webkit-autofill:hover,
.box-input input:-webkit-autofill:active,
.box-input input:-webkit-autofill:focus,
.box-input input:autofill {
    background-color: var(--graphite);
    border: solid 1px var(--light-gray);
    font-size: 0.947rem;
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
textarea:-webkit-autofill,
textarea:-webkit-autofill:hover,
textarea:-webkit-autofill:focus,
select:-webkit-autofill,
select:-webkit-autofill:hover,
select:-webkit-autofill:focus {
    -webkit-text-fill-color: var(--white);
    transition: background-color 5000s ease-in-out 0s;
    font-family: 'Montserrat', sans-serif;
    font-size: 0.947rem;
    caret-color: var(--white);
}

.box-input-active text {
    display: block;
}

.code2fa {
    letter-spacing: 0.5rem;
}

input[type=number] {
    -moz-appearance: textfield;
}



.block-accordion {
    display: flex;
    flex-direction: column;
    margin-top: 1.5789rem;
}

.block-accordion h1 {
    margin-bottom: 2.105rem;
}

.box-accordion {
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: column;
}

.accordion,
.accordion:hover,
.accordion:active {
    transition: 0.2s ease-in-out;
    width: 100%;
    height: auto;
    padding: 0.842rem 0px;
    border-radius: 0px;
    background-color: unset;
    border-top: solid 1px var(--light-gray);
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: var(--white);
    transform: scale(1);
    text-align: left;
}

.accordion:hover {
    opacity: 0.7;
    transform: scale(1);
}

.box-accordion:hover icon-accord {
    transition: 0.1s cubic-bezier(1, 2.92, 1, -2.26);
    translate(0rem, -0.4211rem);
}

.accordion:active {
    opacity: 0.5;
    transform: scale(1);
}

.icon-accord {
    transition: 0.2s cubic-bezier(1, -0.84, 0, 1.96);
    transform: rotate(0deg);
    width: 1.157rem;
    height: 1.157rem;
    margin-left: 1rem;
    fill: var(--white);
}

.accordion-active .icon-accord {
    transform: rotate(45deg);
}


.boxContent {
    transition: 0.08s cubic-bezier(0.79, 0.1, 0.57, 1.08);
    width: 100%;
    min-height: 0rem;
    max-height: 0rem;
    overflow: hidden;
    margin-top: 0;
    margin-bottom: 0;

    transform: rotateX(114deg) translate(0rem, -4rem);

    will-change: transform, opacity;
}

.accordion-active~.boxContent {
    transition: 0.08s cubic-bezier(0.79, 0.1, 0.57, 1.08);
    min-height: 0rem;
    max-height: 600rem;
    margin-top: 0.4211rem;
    margin-bottom: 1.578rem;

    transform: rotateX(0deg);
    will-change: transform, opacity;
}

.acontent {
    display: flex;
    flex-direction: column;
    gap: 1.5789rem;
}

.acontent text {
    line-height: 180%;
}

.acontent text>img {
    margin-top: 0.526rem;
}

.box-toggle {
    width: max-content;
    display: flex;
    flex-direction: row;
    align-items: center;
    overflow: hidden;
    border: solid 1px var(--light-gray);
    height: max-content;
    border-radius: 0.3684rem;
    gap: 0.1579rem;
    padding: 0.1579rem;
    height: 2.5263rem;
    box-sizing: border-box;
}

.box-toggle button:empty {
    display: none;
}

.box-toggle button {
    height: 100%;
    align-items: center;
    border-radius: 0.2684rem;
    background-color: var(--graphite);
    color: var(--sun-gray);
    width: 100%;
}

.box-toggle button:hover {
    background-color: var(--light-gray);
    transform: scale(1);
}

.box-toggle button:active {
    background-color: var(--light-gray);
    transform: scale(0.97);
}

.box-toggle button:disabled {
    background-color: var(--blue);
    color: white;
}

.box-balance {
    width: 100%;
    display: flex;
    justify-content: space-between;
    height: auto;
    align-items: center;
}

.balance {
    width: auto;
    display: flex;
    gap: 1.2632rem;
}

.block-sale {
    margin-bottom: 2.631rem;
}

.box-balance-line {
    width: 100%;
    display: flex;
    justify-content: space-between;
    gap: 0.842rem;
    align-items: center;
    ;
}

.balance-line-bg {
    width: 100%;
    height: 0.210rem;
    background-color: rgba(255, 255, 255, 0.3);
    border-radius: 0.315rem;
}

.balance-line {
    width: 40%;
    height: 0.210rem;
    background-color: var(--white);
    border-radius: 0.315rem;
}

.balance-line-icon {
    width: 1.736rem;
    height: 1.736rem;
    fill: var(--white);
}